Bug 1476984 - Heat template overcloud-without-mergepy renamed/changed
Heat template overcloud-without-mergepy renamed/changed
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Emilien Macchi
Gurenko Alex
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 22:32 EDT by James Biao
Modified: 2017-08-08 18:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 18:30:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Biao 2017-07-31 22:32:19 EDT
Description of problem:

From a recent customer case, I noticed that the following doesn't exist anymore

overcloud-without-mergepy.yaml
overcloud-resource-registry-puppet.yaml
overcloud-resource-registry.yaml

After some research on upstream repo, it seems that 

overcloud.j2.yaml and overcloud-resource-registry-puppet.j2.yaml are the new file. And overcloud-resource-registry.yaml is gone.

I raise this bz to confirm above, and wondering if any changes to the file usages so I will be able to guide customer properly.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 James Slagle 2017-08-02 17:57:42 EDT
overcloud.j2.yaml and overcloud-resource-registry-puppet.j2.yaml will be rendered as overcloud.yaml and overcloud-resource-registry-puppet.yaml during the jinja templating process.

these changes should be transparent to users as they are handled within tripleoclient.

Unless the customer has customized these templates in some way and are maintaining their own copies, they should be fine.

Note You need to log in before you can comment on or make changes to this bug.